Commit a43d59dc authored by Bastien Nocera's avatar Bastien Nocera

build: Require udev for Wayland support

If GTK+ was built with Wayland support, we'll enable the udev
"GsdDeviceManager". But that needs udev to be available.

https://bugzilla.gnome.org/show_bug.cgi?id=747548
parent f754c33f
......@@ -184,6 +184,13 @@ if test "x$have_udev" = xyes ; then
fi
AM_CONDITIONAL(HAVE_UDEV, [test "x$have_udev" = "xyes"])
PKG_CHECK_MODULES(WAYLAND, gdk-wayland-3.0, have_wayland=yes, have_wayland=no)
if test "x$have_wayland" = xyes ; then
if test "x$have_udev" != xyes ; then
AC_MSG_ERROR([udev is required for Wayland support])
fi
fi
PKG_CHECK_MODULES(NETWORK_MANAGER, NetworkManager >= $NETWORK_MANAGER_REQUIRED_VERSION
libnm-glib >= $NETWORK_MANAGER_REQUIRED_VERSION
libnm-glib-vpn >= $NETWORK_MANAGER_REQUIRED_VERSION
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment